@use "colors";

.news.page {
    .page-content-group {
        border: none;
        box-shadow: none;
    }

    .grid {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
        grid-auto-flow: row dense;
    }

    .good-news-container {
        width: 100%;
        --h-space: "calc((100vw - min(90vw, 1120px) + 5rem) / 2)";
        margin-left: "calc(-1 * var(--h-space))";
        padding-left: var(--h-space);
        padding-right: var(--h-space);
        margin-top: "calc(-1 * (16px + 2rem))";
        padding-top: "calc(16px + 2rem)";
        padding-bottom: 1rem;
        transition: background-color 0.3s;

        display: flex;
        flex-direction: column;

        &.active {
            background-color: colors.$content-highlight;
        }

        button {
            margin: 1rem auto;
        }
    }

    .card {
        background-color: colors.$content-white;
    }

    .load-more {
        margin-left: auto;
        margin-right: auto;
    }
}